=== debian/control ===
Source: netdata
Section: net
Priority: optional
Maintainer: Cruise.zrz <Cruise.zrz@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-apache2,
 libcap-dev,
 libcups2-dev,
 libjson-c-dev,
 libjudy-dev,
 liblz4-dev,
 libmnl-dev,
 libnetfilter-acct-dev,
 libprotobuf-dev,
 libsnappy-dev,
 libssl-dev,
 libuv1-dev,
 libyaml-dev,
 pkg-config,
 protobuf-compiler,
 uuid-dev,
 zlib1g-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: <insert the upstream URL, if relevant>
#Vcs-Browser: https://salsa.debian.org/debian/netdata
#Vcs-Git: https://salsa.debian.org/debian/netdata.git

Package: netdata
Section: net
Architecture: all
Depends:
 netdata-core | netdata-core-no-sse,
 netdata-plugins-bash,
 netdata-web,
 ${misc:Depends},
Recommends:
 netdata-plugins-python,
Breaks:
 netdata-plugins-nodejs,
Replaces:
 netdata-plugins-nodejs,
Description: real-time performance monitoring (metapackage)
 Netdata is distributed, real-time, performance and health monitoring for
 systems and applications. It provides insights of everything happening on the
 systems it runs using interactive web dashboards.
 .
 It can run autonomously without any third party components or it can be
 integrated to existing monitoring tool chains (Prometheus, Graphite,
 OpenTSDB, Kafka, Grafana, etc).
 .
 This package is a metapackage depending on the typical netdata components.

Package: netdata-apache2
Section: net
Architecture: all
Depends:
 apache2,
 netdata-core (>= ${source:Version}) | netdata-core-no-sse (>= ${source:Version}),
 netdata-web (>= ${source:Version}),
 ${misc:Depends},
Enhances:
 netdata-core,
 netdata-core-no-sse,
Description: real-time performance monitoring (apache integration)
 Netdata is distributed, real-time, performance and health monitoring for
 systems and applications. It provides insights of everything happening on the
 systems it runs using interactive web dashboards.
 .
 Netdata includes its own embedded webserver, by default listening on localhost
 only. To make netdata available to other users, a dedicated webserver such as
 apache should be used (with authentication and encryption).
 .
 This package contains the integration for the apache HTTP server.

Package: netdata-core
Section: net
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libcap2-bin,
 lsb-base,
 sse2-support [i386],
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 curl,
Suggests:
 apcupsd,
 iproute2,
 iw,
 lm-sensors,
 nc,
Breaks:
 netdata-plugins-bash (<< 1.19.0-2~),
 netdata-plugins-python (<< 1.17.0-1~),
Conflicts:
 netdata-core-no-sse,
Replaces:
 netdata-core-no-sse,
 netdata-plugins-bash (<< 1.19.0-2~),
 netdata-plugins-python (<< 1.17.0-1~),
Description: real-time performance monitoring (core)
 Netdata is distributed, real-time, performance and health monitoring for
 systems and applications. It provides insights of everything happening on the
 systems it runs using interactive web dashboards.
 .
 This package contains the minimal core build with SSE2 optimizations for
 current systems.

Package: netdata-core-no-sse
Section: net
Architecture: i386
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libcap2-bin,
 lsb-base,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 netdata-core,
Replaces:
 netdata-plugins-bash (<< 1.19.0-2~),
 netdata-plugins-python (<< 1.17.0-1~),
Recommends:
 curl,
Suggests:
 apcupsd,
 iproute2,
 iw,
 lm-sensors,
 nc,
Breaks:
 netdata-plugins-bash (<< 1.19.0-2~),
 netdata-plugins-python (<< 1.17.0-1~),
Description: real-time performance monitoring (core, no-sse build)
 Netdata is distributed, real-time, performance and health monitoring for
 systems and applications. It provides insights of everything happening on the
 systems it runs using interactive web dashboards.
 .
 This package contains the minimal core build without SSE2 optimizations for
 old systems. If unsure, use netdata-core instead.

Package: netdata-plugins-bash
Section: net
Architecture: all
Multi-Arch: foreign
Depends:
 netdata-core (>= ${source:Version}) | netdata-core-no-sse (>= ${source:Version}),
 ${misc:Depends},
Suggests:
 fping,
Provides:
 netdata-plugins,
Enhances:
 netdata-core,
 netdata-core-no-sse,
Breaks:
 netdata-core (<< 1.19.0-2~),
 netdata-core-no-sse (<< 1.19.0-2~),
Replaces:
 netdata-core (<< 1.19.0-2~),
 netdata-core-no-sse (<< 1.19.0-2~),
Description: real-time performance monitoring (bash plugins)
 Netdata is distributed, real-time, performance and health monitoring for
 systems and applications. It provides insights of everything happening on the
 systems it runs using interactive web dashboards.
 .
 This package contains the plugins using bash.

Package: netdata-plugins-python
Section: net
Architecture: all
Multi-Arch: foreign
Depends:
 netdata-core (>= ${source:Version}) | netdata-core-no-sse (>= ${source:Version}),
 python3,
 python3-six,
 python3-urllib3 (>= 1.22),
 python3-yaml,
 ${misc:Depends},
Suggests:
 python3-psycopg2,
 python3-pymysql,
 python3-requests,
Provides:
 netdata-plugins,
Enhances:
 netdata-core,
 netdata-core-no-sse,
Breaks:
 netdata-core (<< 1.17.0-1~),
 netdata-core-no-sse (<< 1.17.0-1~),
Replaces:
 netdata-core (<< 1.17.0-1~),
 netdata-core-no-sse (<< 1.17.0-1~),
Description: real-time performance monitoring (python plugins)
 Netdata is distributed, real-time, performance and health monitoring for
 systems and applications. It provides insights of everything happening on the
 systems it runs using interactive web dashboards.
 .
 This package contains the plugins using python.

Package: netdata-web
Section: net
Architecture: all
Depends:
 fonts-font-awesome,
 libjs-bootstrap,
 netdata-core (>= ${source:Version}) | netdata-core-no-sse (>= ${source:Version}),
 ${misc:Depends},
Conflicts:
 netdata-data,
Replaces:
 netdata-data,
Enhances:
 netdata-core,
 netdata-core-no-sse,
Description: real-time performance monitoring (web)
 Netdata is distributed, real-time, performance and health monitoring for
 systems and applications. It provides insights of everything happening on the
 systems it runs using interactive web dashboards.
 .
 This package contains the web frontend.
