=== debian/changelog ===
netdata (1.42.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.42.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 17 Aug 2023 12:46:19 +0200

netdata (1.42.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.42.0.
  * Updating path for empty directories to fix FTBFS when building from
    git.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 10 Aug 2023 11:18:58 +0200

netdata (1.41.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.41.0.
  * Refreshing allow-symlinks.patch.
  * Avoid installing unused netdata-updater.conf.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 20 Jul 2023 06:50:06 +0200

netdata (1.39.1-2) sid; urgency=medium

  * Uploading to sid.
  * Uploading without changes after bookworm release.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 11 Jun 2023 14:33:38 +0200

netdata (1.39.1-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 1.39.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 18 May 2023 16:38:14 +0200

netdata (1.39.0-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 1.39.0.
  * Refreshing allow-symlinks.patch.
  * Adding newly required libyaml-dev to build-dependencies.
  * Wrap and sorting debian files.
  * Copying system directory to temporary build-tree too to fix FTBFS.
  * Renumbering patches.
  * Adding new vnodes.conf to netdata-core packages.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 08 May 2023 18:27:15 +0200

netdata (1.38.1-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 1.38.1.
  * Adding note about possible but rare database corruptions on upgrades,
    thanks to Markus Grunwald <reportbug.thegrue@spamgourmet.com> for
    reporting (Closes: #1030203).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 13 Feb 2023 18:22:50 +0100

netdata (1.38.0-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 1.38.0.
  * Refreshing use-bash.patch.
  * Removing mongodb plugin handling as it's not part of the main netdata
    distribution anymore.
  * Removing fping plugin handling as it's not part of the main netdata
    distribution anymore.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 06 Feb 2023 17:11:39 +0100
