=== debian/control ===
--- 
+++ 
@@ -1,7 +1,10 @@
 Source: netdata
 Section: net
 Priority: optional
-Maintainer: Cruise.zrz <Cruise.zrz@gmail.com>
+Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Uploaders:
+ Lennart Weller <lhw@ring0.de>,
+ Federico Ceratto <federico@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-apache2,
@@ -23,9 +26,9 @@
  zlib1g-dev,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
-Homepage: <insert the upstream URL, if relevant>
-#Vcs-Browser: https://salsa.debian.org/debian/netdata
-#Vcs-Git: https://salsa.debian.org/debian/netdata.git
+Homepage: https://github.com/netdata/netdata
+Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/netdata
+Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/netdata
 
 Package: netdata
 Section: net
@@ -225,4 +228,3 @@
  systems it runs using interactive web dashboards.
  .
  This package contains the web frontend.
-
