=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	dh ${@} --with apache2
 
 execute_before_dh_autoreconf:
-	mkdir -p httpd/h2o mqtt_websockets
+	mkdir -p web/server/h2o/libh2o mqtt_websockets
 
 	rm -f debian/configure.ac.orig
 	cp configure.ac debian/configure.ac.orig
@@ -89,6 +89,7 @@
 
 	# Removing unused files
 	rm -f debian/tmp/etc/netdata/.install-type
+	rm -f debian/tmp/etc/netdata/netdata-updater.conf
 	rm -f debian/tmp/usr/lib/netdata/install-service.sh
 	rm -rf debian/tmp/usr/lib/netdata/system
 
@@ -187,4 +188,3 @@
 	chmod 0644 $(TOP)-plugins-bash/usr/lib/netdata/charts.d/*.sh
 	chmod 0644 $(TOP)-plugins-bash/usr/lib/netdata/plugins.d/*.sh.inc
 	chmod 0644 $(TOP)-plugins-python/usr/lib/netdata/python.d/*.py
-
