=== debian/changelog ===
netdata (1.43.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:01:06 +1100

netdata (1.43.2-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:07:50 +0000

netdata (1.43.2-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.43.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 01 Nov 2023 05:35:13 +0100

netdata (1.43.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.43.1.
  * Adding missing dependency to passwd for using groupadd in maintainer
    scripts.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 26 Oct 2023 19:10:35 +0200

netdata (1.43.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.43.0.
  * Removing allow-symlinks.patch, not needed anymore (Closes: #1043415).
  * Removing generated files to fix FTBFS when building twice in a row
    (Closes: #1046477).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 17 Oct 2023 11:32:00 +0200

netdata (1.42.4-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.42.4.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 18 Sep 2023 17:47:47 +0200

netdata (1.42.3-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.42.3.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 13 Sep 2023 11:05:58 +0200

netdata (1.42.2-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.42.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 04 Sep 2023 10:57:53 +0200
