=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: netdata
 Section: net
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Uploaders:
  Lennart Weller <lhw@ring0.de>,
  Federico Ceratto <federico@debian.org>,
@@ -85,6 +86,7 @@
 Depends:
  libcap2-bin,
  lsb-base,
+ passwd,
  sse2-support [i386],
  ${misc:Depends},
  ${shlibs:Depends},
@@ -121,6 +123,7 @@
 Depends:
  libcap2-bin,
  lsb-base,
+ passwd,
  ${misc:Depends},
  ${shlibs:Depends},
 Conflicts:
