=== debian/rules ===
--- 
+++ 
@@ -47,6 +47,11 @@
 execute_after_dh_auto_clean:
 	rm -rf build-core
 	rm -rf build-core-no-sse debian/tmp-core-no-sse
+
+	for FILE in $$(find tests -type f -name "*.in"); \
+	do \
+		rm -f $$(dirname $${FILE})/$$(basename $${FILE} .in); \
+	done
 
 override_dh_auto_configure:
 	mkdir -p build-core
