=== debian/changelog ===
netdata (1.44.3-2ubuntu0.1) oracular-security; urgency=medium

  * SECURITY UPDATE: NULL pointer dereference
    - debian/patches/CVE-2024-23722.patch: Fix payload parsing
      and error response
    - CVE-2024-23722
  * SECURITY UPDATE: Buffer overflow
    - debian/patches/CVE-2024-34250-CVE-2024-34251-1.patch: Enhance wasm
      loader checks for opcode br_table
    - debian/patches/CVE-2024-34250-CVE-2024-34251-2.patch: fix typo
    - debian/patches/CVE-2024-34250-CVE-2024-34251-3.patch: fix build
    error
    - CVE-2024-34250
    - CVE-2024-34251

 -- Bruce Cable <bruce.cable@canonical.com>  Fri, 31 Jan 2025 12:57:09 +1100

netdata (1.44.3-2) sid; urgency=medium

  * Uploading to sid.
  * Readd accidentally removed systemd and logrotate overrides in rules.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 09 Mar 2024 18:12:08 +0100

netdata (1.44.3-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.44.3.
  * Updating copyright for 2024.
  * Refreshing send-email.patch.
  * Updating netdata-core.install for new upstream components.
  * Adding build-depends to libh2o-dev-common for new upstream version.
  * Removing old conflicts/replaces prior bookworm.
  * Removing i386-only netdata-core-no-sse binary package to reduce
    packaging complexity.
  * Updating homepage field.
  * Removing maintscript for pre-buster.
  * Tidying up debian packaging.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 09 Mar 2024 14:47:34 +0100
